import React from 'react';
export interface ISledgeContext {
    apiKey?: string;
    instantSearchApiKey?: string;
    userId?: string;
    userFullname?: string;
    isRenderApp?: {
        wishlist?: boolean;
        productReview?: boolean;
        instantSearch?: boolean;
    };
}
export interface ISledgeRoot extends ISledgeContext {
    children: any;
}
export declare const SledgeContext: React.Context<ISledgeContext>;
export declare const SledgeRoot: ({ apiKey, instantSearchApiKey, userId, userFullname, children }: ISledgeRoot) => JSX.Element;
//# sourceMappingURL=SledgeRoot.d.ts.map